Subject: [lemonade] Re: Planning for meeting in Minneapolis

From: Alexey Melnikov <[email-masked]>
Date: Tue, 01 Feb 2005 11:18:02 +0000

Lisa Dusseault wrote:

> So, does this mean that we don't need to yank CondStore out of the RFC 
> queue?

The answer to your question depends on what people think about the 
document. There are several places marked with <<>> that can be made 
cleaner (e.g. REPORTEXPUNGES) if there is a single extension.
So, I would encourage people to do a review and we can discuss in a few 
weeks.

> thanks,
> Lisa
>
> On Jan 31, 2005, at 10:44 AM, Alexey Melnikov wrote:
>
>> Lisa Dusseault wrote:
>>
>>> Alexey needs to propose what changes to make to CondStore, as a 
>>> concrete written proposal to the list.
>>
>> I've just submitted a new draft that describes how CONDSTORE 
>> modification sequences can be used to track expunged messages. Before 
>> it is announced, people can find it at:
>> http://ietf.webdav.org/imapext/draft-melnikov-imap-expunged-00.txt
>>
>> I will welcome all suggestions, especially on issues marked with <<>> 
>> in the document.
>>
>> I can rework RECONNECT to reference the new document, if people feel 
>> it is a good idea.
>>
>> Alexey
>

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 01 Feb 2005 11:27:06 +0000

Timo Sirainen wrote:

>On Mon, 2005-01-31 at 18:44 +0000, Alexey Melnikov wrote:
>  
>
>>modification sequences can be used to track expunged messages. Before it 
>>is announced, people can find it at:
>>I will welcome all suggestions, especially on issues marked with <<>> in 
>>the document.
>>    
>>
>
>It shows that HIGHESTMODSEQ update is sent after EXPUNGE command. What
>about when other session did the EXPUNGE and we're seeing untagged
>EXPUNGEs? Maybe always send it after untagged expunges (and don't
>mention EXPUNGE command at all)?
>  
>
Yes, that was the idea.

>Servers supporting UNSELECT should most likely also send HIGHESTMODSEQ
>just as with CLOSE, but this isn't mentioned.
>
UNSELECT doesn't cause any message to be expunged.

> And what about with
>SELECT?
Same as above.

> Maybe just point out more generally that "when using a command
>which closes the mailbox, send HIGHESTMODSEQ". Perhaps LOGOUT should do
>that too?
>  
>
Remember, that the CONDSTORE extension requires the server to send 
mod-sequences for flag changes (using MODSEQ FETCH data items) and 
whenever a message is appended. The EXPUNGED document extends this to 
cover expunges. So there is no point to send HIGHESTMODSEQ when nothing 
has changed, this should cover LOGOUT, SELECT and UNSELECT.
Of course, if messages got expunged in another session, the server still 
needs to send HIGHESTMODSEQ.

>   <<What if the server can’t remember some expunged UIDs, for example
>   the provided mod-sequence is too old? Can the server just return
>   all UIDs not in the UID set? This can generate additional traffic,
>   but should be Ok otherwise.>>
>
>Yes, I think so.
>
>In 3.4 EXPUNGED Response it seems rather useless trying to rewrite what
>RFC3501 says about EXPUNGEs. Just point out that it works exactly as
>normal untagged EXPUNGE? It would be really bad if they accidentally got
>different rules.
>  
>
As EXPUNGED returns a list of UIDs, I was wondering if it should obey 
the same rule as EXPUNGE, i.e. whether it should be allowed during 
regular FETCH/STORE.

>Maybe rename the EXPUNGED to UIDEXPUNGE or similar to make it more clear
>that it's sending UIDs and not sequences?
>  
>
Sure.